import numpy as np
import cv2
import random

binary = cv2.imread("../slovakia-closed.png",cv2.IMREAD_GRAYSCALE)

cv2.imshow("components",binary)
key = cv2.waitKey(0)

count, labels = cv2.connectedComponents(binary)

colors = np.zeros((count,3))
for label in range(1,count): # 0 is background
    colors[label] = (random.randint(0,255),random.randint(0,255),random.randint(0,255))
    
image = np.zeros(binary.shape+(3,),np.uint8)
for y in range(image.shape[0]):
    for x in range(image.shape[1]):
         image[y,x] = colors[labels[y,x]]

cv2.imshow("components",image)
key = cv2.waitKey(0)

cv2.destroyAllWindows()
